Bug 623277 - beagle may need to be rebuilt against Python 2.7 in F14 and rawhide
Summary: beagle may need to be rebuilt against Python 2.7 in F14 and rawhide
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Henrique C. S. Junior
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 623233
Blocks: Python27Rebuild
TreeView+ depends on / blocked
 
Reported: 2010-08-11 18:30 UTC by Dave Malcolm
Modified: 2011-09-02 16:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-02 16:28:06 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2010-08-11 18:30:15 UTC
This is an automatically-filed bug.

beagle-0.3.9-19.fc14 contains one or more .pyc files, but has not been rebuilt since Python 2.7 was built for Fedora, and thus the .pyc files presumably are for Python 2.6.  Python 2.7 changed the bytecode format, so usage of those files will typically fail (see e.g. bug 621726).

The package needs to be rebuilt against python 2.7 in both F14 and devel.

Information on the new "dist-git" system can be seen here:
  http://fedoraproject.org/wiki/Using_Fedora_GIT

Information on common difficulties with Python 2.7 rebuilds can be seen here:
  https://fedoraproject.org/wiki/Features/Python_2.7

Once it's been successfully rebuilt for F14, an update needs to be filed to get the rebuild into F14:
  https://admin.fedoraproject.org/updates/new/

Please add this bug to the update, to make it easy to track what's been done, and what's left to do.

I'm sorry that this component was not handled by the mass rebuild.  (This may be due to bug 623233)

Comment 1 Dave Malcolm 2010-08-11 21:37:09 UTC
I attempted to mass-rebuild the broken packages.

beagle failed to rebuild:
http://koji.fedoraproject.org/koji/getfile?taskID=2394461&name=root.log
DEBUG util.py:255:  Error: Package: evolution-sharp-0.21.1-7.fc14.x86_64 (build)
DEBUG util.py:255:             Requires: libecal-1.2.so.7()(64bit)
DEBUG util.py:255:   You could try using --skip-broken to work around the problem
DEBUG util.py:255:  Error: Package: evolution-sharp-0.21.1-7.fc14.x86_64 (build)
DEBUG util.py:255:             Requires: libebook-1.2.so.9()(64bit)

Comment 2 Fedora Admin XMLRPC Client 2011-02-24 14:05:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Toshio Ernie Kuratomi 2011-09-02 16:28:06 UTC
I see that beagle is Orphaned on f14 and retired on f15 and devel.  Closing this bug as someone will need to rereview the package if they want to bring this back.


Note You need to log in before you can comment on or make changes to this bug.